feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Mutable

# Documentation

data Mutable a where

Constructors

Run :: Type a => Mutable (Mut a :-> Full a) |

Instances

EvalBind Mutable |
Semantic Mutable |
Eval Mutable |
Render Mutable |
ToTree Mutable |
Equality Mutable |
Typed Mutable |
SizeProp Mutable |
Sharable Mutable |
(:<: Mutable dom, OptimizeSuper dom) => Optimize Mutable dom |
AlphaEq dom dom dom env => AlphaEq Mutable Mutable dom env |

monadProxy :: P Mut

module Language.Syntactic.Constructs.Monad